vapier 08/04/13 22:15:00
Modified: coreutils-6.10-r1.ebuild ChangeLog
coreutils-6.10-r2.ebuild
Log:
Add support for USE=vanilla.
(Portage version: 2.2_pre5)
Revision Changes Path
1.7 sys-apps/coreutils/coreutils-6.10-r1.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild?r1=1.6&r2=1.7
Index: coreutils-6.10-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- coreutils-6.10-r1.ebuild 13 Apr 2008 22:12:12 -0000 1.6
+++ coreutils-6.10-r1.ebuild 13 Apr 2008 22:14:59 -0000 1.7
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild,v 1.6 2008/04/13 22:12:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r1.ebuild,v 1.7 2008/04/13 22:14:59 vapier Exp $
inherit eutils flag-o-matic toolchain-funcs autotools
@@ -16,7 +16,7 @@
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86"
-IUSE="acl nls selinux static xattr"
+IUSE="acl nls selinux static xattr vanilla"
RDEPEND="selinux? ( sys-libs/libselinux )
acl? ( sys-apps/acl )
@@ -49,10 +49,12 @@
unpack ${A}
cd "${S}"
- EPATCH_SUFFIX="patch" \
- PATCHDIR="${WORKDIR}/patch" \
- EPATCH_EXCLUDE="001_all_coreutils-gen-progress-bar.patch" \
- epatch
+ if ! use vanilla ; then
+ EPATCH_SUFFIX="patch" \
+ PATCHDIR="${WORKDIR}/patch" \
+ EPATCH_EXCLUDE="001_all_coreutils-gen-progress-bar.patch" \
+ epatch
+ fi
# Since we've patched many .c files, the make process will try to
# re-build the manpages by running `./bin --help`. When doing a
@@ -63,7 +65,7 @@
# There's no reason for this crap to use the private version
sed -i 's:__mempcpy:mempcpy:g' lib/*.c
- AT_M4DIR="m4" eautoreconf
+ use vanilla || AT_M4DIR="m4" eautoreconf
}
src_compile() {
1.225 sys-apps/coreutils/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/ChangeLog?rev=1.225&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/ChangeLog?rev=1.225&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/ChangeLog?r1=1.224&r2=1.225
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/coreutils/ChangeLog,v
retrieving revision 1.224
retrieving revision 1.225
diff -u -r1.224 -r1.225
--- ChangeLog 13 Apr 2008 22:12:12 -0000 1.224
+++ ChangeLog 13 Apr 2008 22:14:59 -0000 1.225
@@ -1,6 +1,10 @@
# ChangeLog for sys-apps/coreutils
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/ChangeLog,v 1.224 2008/04/13 22:12:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/ChangeLog,v 1.225 2008/04/13 22:14:59 vapier Exp $
+
+ 13 Apr 2008; Mike Frysinger <vapier@g.o> coreutils-6.10-r1.ebuild,
+ coreutils-6.10-r2.ebuild:
+ Add support for USE=vanilla.
13 Apr 2008; Mike Frysinger <vapier@g.o> coreutils-6.10-r1.ebuild,
coreutils-6.10-r2.ebuild:
1.4 sys-apps/coreutils/coreutils-6.10-r2.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild?r1=1.3&r2=1.4
Index: coreutils-6.10-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- coreutils-6.10-r2.ebuild 13 Apr 2008 22:12:12 -0000 1.3
+++ coreutils-6.10-r2.ebuild 13 Apr 2008 22:14:59 -0000 1.4
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild,v 1.3 2008/04/13 22:12:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.10-r2.ebuild,v 1.4 2008/04/13 22:14:59 vapier Exp $
inherit eutils flag-o-matic toolchain-funcs autotools
@@ -16,7 +16,7 @@
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="acl nls selinux static xattr"
+IUSE="acl nls selinux static xattr vanilla"
RDEPEND="selinux? ( sys-libs/libselinux )
acl? ( sys-apps/acl )
@@ -49,10 +49,12 @@
unpack ${A}
cd "${S}"
- EPATCH_SUFFIX="patch" \
- PATCHDIR="${WORKDIR}/patch" \
- EPATCH_EXCLUDE="001_all_coreutils-gen-progress-bar.patch" \
- epatch
+ if ! use vanilla ; then
+ EPATCH_SUFFIX="patch" \
+ PATCHDIR="${WORKDIR}/patch" \
+ EPATCH_EXCLUDE="001_all_coreutils-gen-progress-bar.patch" \
+ epatch
+ fi
# Since we've patched many .c files, the make process will try to
# re-build the manpages by running `./bin --help`. When doing a
@@ -63,7 +65,7 @@
# There's no reason for this crap to use the private version
sed -i 's:__mempcpy:mempcpy:g' lib/*.c
- AT_M4DIR="m4" eautoreconf
+ use vanilla || AT_M4DIR="m4" eautoreconf
}
src_compile() {
--
gentoo-commits@g.o mailing list
|